#
# spec file for package ssbase (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86 xview xview-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared xview xview-devel

Name:         ssbase
Copyright:    1991 Sun Microsystems, Inc.
Group:        Development/Libraries
Provides:     SlingShot2.1 sspkg
Requires:     xv32base
Autoreqprov:  on
Version:      2.1
Release:      427
Summary:      Slingshot extensions
Source: SlingShot2.1.tar.gz
Patch: SlingShot2.1.dif

%description
These are extensions for XView programming; it contains static and dynamic
libraries in elf-format. Also included are the include files and the
documentation.

SuSE series: xv

%prep
%setup -n sspkg2.1
%patch

%build
rm -f examples/tree/lex.yy.c
make

%install
make install
mkdir -p /usr/openwin/share/doc/sspkg
cp -av doc/* /usr/openwin/share/doc/sspkg
chown -R root.root /usr/openwin/share/doc/sspkg
chmod +r -R /usr/openwin/share/doc/sspkg
mkdir -p /usr/openwin/share/src/sspkg
cp -av examples /usr/openwin/share/src/sspkg
chown -R root.root /usr/openwin/share/src/sspkg
chmod -R +r /usr/openwin/share/src/sspkg
find /usr/openwin/share/src/sspkg -type d -exec chmod +x {} \;
ln -sf /usr/openwin/share/doc/sspkg %{_defaultdocdir}/slingshot
cd %{_defaultdocdir} && ln -s slingshot ssbase

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/openwin/include
%dir /usr/openwin/include/sspkg
%dir /usr/openwin/lib
%dir /usr/openwin/share
%dir /usr/openwin/share/doc
%dir /usr/openwin/share/doc/sspkg
%dir /usr/openwin/share/doc/sspkg/framemaker
%doc %{_defaultdocdir}/slingshot
#
# conflicts with changes. This must not be a symlink...
# %doc %{_defaultdocdir}/ssbase
/usr/openwin/include/sspkg/array.h
/usr/openwin/include/sspkg/box.h
/usr/openwin/include/sspkg/canshell.h
/usr/openwin/include/sspkg/disp_list.h
/usr/openwin/include/sspkg/drawobj.h
/usr/openwin/include/sspkg/grip.h
/usr/openwin/include/sspkg/list.h
/usr/openwin/include/sspkg/patchlevel.h
/usr/openwin/include/sspkg/rectobj.h
/usr/openwin/include/sspkg/tree.h
/usr/openwin/lib/libsspkg.a
/usr/openwin/lib/libsspkg.so
/usr/openwin/lib/libsspkg.so.1
/usr/openwin/lib/libsspkg.so.1.0
/usr/openwin/share/doc/sspkg/appA.ps
/usr/openwin/share/doc/sspkg/appB.ps
/usr/openwin/share/doc/sspkg/appC.ps
/usr/openwin/share/doc/sspkg/appD.ps
/usr/openwin/share/doc/sspkg/appE.ps
/usr/openwin/share/doc/sspkg/ch1.ps
/usr/openwin/share/doc/sspkg/ch2.ps
/usr/openwin/share/doc/sspkg/ch3.ps
/usr/openwin/share/doc/sspkg/framemaker/appA.fmaker
/usr/openwin/share/doc/sspkg/framemaker/appB.fmaker
/usr/openwin/share/doc/sspkg/framemaker/appC.fmaker
/usr/openwin/share/doc/sspkg/framemaker/appD.fmaker
/usr/openwin/share/doc/sspkg/framemaker/appE.fmaker
/usr/openwin/share/doc/sspkg/framemaker/ch1.fmaker
/usr/openwin/share/doc/sspkg/framemaker/ch2.fmaker
/usr/openwin/share/doc/sspkg/framemaker/ch3.fmaker
/usr/openwin/share/doc/sspkg/framemaker/clockobj.rs
/usr/openwin/share/doc/sspkg/framemaker/column.rs
/usr/openwin/share/doc/sspkg/framemaker/drawrect.rs
/usr/openwin/share/doc/sspkg/framemaker/host.rs
/usr/openwin/share/doc/sspkg/framemaker/row.rs
%package -n ssexmp
Requires: ssbase xv32base
Summary:      Slingshot examples
Group:        Development
Autoreqprov:  on

%description -n ssexmp
A little collection of Slingshot examples. You can see the use and the
advantage of the Slingshot extension package.

SuSE series: xv


%files -n ssexmp
/usr/openwin/share/src/sspkg/examples/Makefile
/usr/openwin/share/src/sspkg/examples/array_tile/Makefile
/usr/openwin/share/src/sspkg/examples/array_tile/array_ex.c
/usr/openwin/share/src/sspkg/examples/clockobj/Makefile
/usr/openwin/share/src/sspkg/examples/clockobj/clockobj.c
/usr/openwin/share/src/sspkg/examples/color/Makefile
/usr/openwin/share/src/sspkg/examples/color/choose.c
/usr/openwin/share/src/sspkg/examples/color/dndchoose.c
/usr/openwin/share/src/sspkg/examples/color2/Makefile
/usr/openwin/share/src/sspkg/examples/color2/editcolor.c
/usr/openwin/share/src/sspkg/examples/dnd/Makefile
/usr/openwin/share/src/sspkg/examples/dnd/drag_ex.c
/usr/openwin/share/src/sspkg/examples/dnd/drop_ex.c
/usr/openwin/share/src/sspkg/examples/drawarea/Makefile
/usr/openwin/share/src/sspkg/examples/drawarea/custom.c
/usr/openwin/share/src/sspkg/examples/drawarea/darea1.c
/usr/openwin/share/src/sspkg/examples/drawarea/darea2.c
/usr/openwin/share/src/sspkg/examples/drawarea/hist.c
/usr/openwin/share/src/sspkg/examples/drawarea/hist_stdin.c
/usr/openwin/share/src/sspkg/examples/drawimage/Makefile
/usr/openwin/share/src/sspkg/examples/drawimage/drawimage.c
/usr/openwin/share/src/sspkg/examples/drawline/Makefile
/usr/openwin/share/src/sspkg/examples/drawline/drawline.c
/usr/openwin/share/src/sspkg/examples/drawtext/Makefile
/usr/openwin/share/src/sspkg/examples/drawtext/drawtext.c
/usr/openwin/share/src/sspkg/examples/grip/Makefile
/usr/openwin/share/src/sspkg/examples/grip/gripdemo.c
/usr/openwin/share/src/sspkg/examples/grip/nonlin.c
/usr/openwin/share/src/sspkg/examples/grip/puzzdemo.c
/usr/openwin/share/src/sspkg/examples/grip/temp_grip.c
/usr/openwin/share/src/sspkg/examples/group/Makefile
/usr/openwin/share/src/sspkg/examples/group/group1.c
/usr/openwin/share/src/sspkg/examples/icons/Makefile
/usr/openwin/share/src/sspkg/examples/icons/amper.icon
/usr/openwin/share/src/sspkg/examples/icons/banana.icon
/usr/openwin/share/src/sspkg/examples/icons/bananamask.icon
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.aa
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.ab
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.ac
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.ad
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.ae
/usr/openwin/share/src/sspkg/examples/icons/bully.icon.af
/usr/openwin/share/src/sspkg/examples/icons/demo1.icon
/usr/openwin/share/src/sspkg/examples/icons/demo2.icon
/usr/openwin/share/src/sspkg/examples/icons/demo3.icon
/usr/openwin/share/src/sspkg/examples/icons/demomask.icon
/usr/openwin/share/src/sspkg/examples/icons/frown.icon
/usr/openwin/share/src/sspkg/examples/icons/nopaintbrush.icon
/usr/openwin/share/src/sspkg/examples/icons/paintbrush.icon
/usr/openwin/share/src/sspkg/examples/icons/puzzle_demo.icon
/usr/openwin/share/src/sspkg/examples/icons/smiley.icon
/usr/openwin/share/src/sspkg/examples/misc/Makefile
/usr/openwin/share/src/sspkg/examples/misc/drawrect.c
/usr/openwin/share/src/sspkg/examples/misc/example1.c
/usr/openwin/share/src/sspkg/examples/selection/Makefile
/usr/openwin/share/src/sspkg/examples/selection/select.c
/usr/openwin/share/src/sspkg/examples/tacho/Makefile
/usr/openwin/share/src/sspkg/examples/tacho/tacho.c
/usr/openwin/share/src/sspkg/examples/thermo/Makefile
/usr/openwin/share/src/sspkg/examples/thermo/main.c
/usr/openwin/share/src/sspkg/examples/thermo/thermo.c
/usr/openwin/share/src/sspkg/examples/thermo/thermo.h
/usr/openwin/share/src/sspkg/examples/tree/Makefile
/usr/openwin/share/src/sspkg/examples/tree/SampleInput
/usr/openwin/share/src/sspkg/examples/tree/tlstool.c
/usr/openwin/share/src/sspkg/examples/tree/treetool.l

%changelog -n ssbase
* Mon Mar 26 2001 - ro@suse.de
- changed neededforbuild <xv32base> to <xview>
- changed neededforbuild <xv32dev> to <xview-devel>
* Wed Mar 07 2001 - uli@suse.de
- added xf86 to neededforbuild
* Tue Oct 31 2000 - ma@suse.de
- removed group unsorted
* Tue May 30 2000 - ro@suse.de
- doc relocation
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Wed Sep 09 1998 - ro@suse.de
- remove examples/tree/lex.yy.c before build
* Tue Nov 18 1997 - bs@suse.de
- skipped /usr/doc/packages/ssbase (conflicts with changes)
* Mon Oct 13 1997 - fehr@suse.de
- prepare package for automatic build
* Tue Jul 29 1997 - ma@suse.de
- Fix /var/openwin/lib/Xinitrc:
- xcenter is located in X11HOME not in OPENWINHOME
- if installed, olvwm becomes default windowmanager
* Mon Jun 09 1997 - fehr@suse.de
- Sources for olvwm are now contained an build by this source package
- changed to version 3.2p1.3
